<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Flexbox Demo</title>
    <style>
        * {
            margin: 0;
            padding: 0;
            font-family: Calibri, Arial, Helvetica;
        }

        html,
        body {
            width: 100%;
            height: 100%;
        }
        #container {
            width: 90%;
            height: 90%;
            background: lightskyblue;
            display: flex;
            flex-direction: row;
            flex-wrap: wrap;
        }
        #container div {
            border: 2px solid yellow;
            display: flex;
            justify-content: center;
            align-items: center;
        }
        #div1 {
            /* flex: 2; */
            flex-basis: calc(50% - 4px);
            order: 2;
        }
        #div2 {
            /* flex: 1; */
            flex-basis: calc(50% - 4px);
            order: 1;
        }
        #div3 {
            flex: 3;
            order: 5;
        }
        #div4 {
            flex: 1;
            order: 4;
        }
        #div5 {
            flex: 1;
            order: 3;
        }

        @media (max-width: 700px) {
            #container {
                background: darkorchid;
            }
        }
    </style>
</head>

<body>
    <div id="container">
        <div id="div1">1</div>
        <div id="div2">2</div>
        <div id="div3">3</div>
        <div id="div4">4</div>
        <div id="div5">5</div>
    </div>
</body>

</html>